Subject: Re: setup overwriting ?experimental? installed packages
From: Robert Collins <[email-masked]>
To: Dylan Cuthbert <[email-masked]>
Cc: [email-masked]
Date: 11 Aug 2002 13:42:43 +1000

On Sun, 2002-08-11 at 12:27, Dylan Cuthbert wrote:
> Hey Robert, for some reason, all your messages (and only yours) appear as
> attachments in Outlook Express, and you know what mum says about opening
> attachments from strangers.

Outlook express is not rfc 3156 and rfc 1847 conformant. Try a
non-broken mailer, i.e. Outlook with the PGP extensions, or MUTT.
 
> I don't think he's complaining about this - the current release should be
> installed in that case. 

No it shouldn't. I explained why in the email.

> The problem is, for example, we install gcc 3.1.1
> from the exp. listing, then we run setup again and install the latest
> "current" releases and gcc 3.1.1 gets overwritten by gcc 2.95-3 (or whatever
> it is).  Its also something that's been bothering me, and I've had to
> re-install numerous exp. packages because of it.

'Leave higher versions alone' is not a good heuristic. It prevents
reliable maintenance for folk using 'prev' a lot.

Why not go and read my previous discussion on cygwin-apps, rather than
(apaprently) assuming I don't understand the issue?

Rob